using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace RadGridView_WPF_AR_54
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();			
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			if(this.clubsGrid.SelectedItem != null)
			{
				GetValues((Club)this.clubsGrid.SelectedItem);
			}
			else
			{
				MessageBox.Show("Please select an item first!");
			}
		
		}

		private void GetValues(Club item)
		{
			var name = item.Name;
			var established = item.Established;
			var capacity = item.StadiumCapacity;
			MessageBox.Show("The selected clubs is: " + name + ". It is established in " + established + " and its stadium capacity is " + capacity);
		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{
			if(this.clubsGrid.Items.Count > 2)
			{
				GetValues((Club)this.clubsGrid.Items[1]);
			}
		}

	}
}
